Torque2D Reference

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions | Static Protected Member Functions | Protected Attributes | List of all members
EncodedStreamTest Class Reference
Inheritance diagram for EncodedStreamTest:

## Public Member Functions
virtual void | SetUp ()
virtual void | TearDown ()
Public Member Functions inherited from Test
virtual | ~Test ()
virtual | ~Test ()
virtual | ~Test ()

## Protected Member Functions
template<typename FileEncoding , typename MemoryEncoding >
void | TestEncodedInputStream (const char *filename)
void | TestAutoUTFInputStream (const char *filename)
template<typename FileEncoding , typename MemoryEncoding >
void | TestEncodedOutputStream (const char *expectedFilename, bool putBOM)
bool | CompareFile (char *filename, const char *expectedFilename)
void | TestAutoUTFOutputStream (UTFType type, bool putBOM, const char *expectedFilename)
Protected Member Functions inherited from Test
| Test ()
| Test ()
| Test ()

## Static Protected Member Functions
static FILE * | Open (const char *filename)
static char * | ReadFile (const char *filename, bool appendPath, size_t *outLength)

## Protected Attributes
const char * | filename_
char * | json_
size_t | length_

## Additional Inherited Members
Public Types inherited from Test
typedef internal::SetUpTestCaseFunc | SetUpTestCaseFunc
typedef internal::TearDownTestCaseFunc | TearDownTestCaseFunc
typedef internal::SetUpTestCaseFunc | SetUpTestCaseFunc
typedef internal::TearDownTestCaseFunc | TearDownTestCaseFunc
typedef internal::SetUpTestCaseFunc | SetUpTestCaseFunc
typedef internal::TearDownTestCaseFunc | TearDownTestCaseFunc
Static Public Member Functions inherited from Test
static void | SetUpTestCase ()
static void | TearDownTestCase ()
static bool | HasFatalFailure ()
static bool | HasNonfatalFailure ()
static bool | HasFailure ()
static void | RecordProperty (const char *key, const char *value)
static void | RecordProperty (const char *key, int value)
static void | SetUpTestCase ()
static void | TearDownTestCase ()
static bool | HasFatalFailure ()
static bool | HasNonfatalFailure ()
static bool | HasFailure ()
static void | RecordProperty (const char *key, const char *value)
static void | RecordProperty (const char *key, int value)
static void | SetUpTestCase ()
static void | TearDownTestCase ()
static bool | HasFatalFailure ()
static bool | HasNonfatalFailure ()
static bool | HasFailure ()
static void | RecordProperty (const char *key, const char *value)
static void | RecordProperty (const char *key, int value)

## Member Function Documentation

bool CompareFile | ( | char * | filename,
|  | const char * | expectedFilename
| ) |  |
| inline protected

static FILE* Open | ( | const char * | filename | ) |
| inline static protected

static char* ReadFile | ( | const char * | filename,
|  | bool | appendPath,
|  | size_t * | outLength
| ) |  |
| inline static protected

virtual void SetUp | ( |  | ) |
| inline virtual

Reimplemented from Test.

virtual void TearDown | ( |  | ) |
| inline virtual

Reimplemented from Test.

void TestAutoUTFInputStream | ( | const char * | filename | ) |
| inline protected

void TestAutoUTFOutputStream | ( | UTFType | type,
|  | bool | putBOM,
|  | const char * | expectedFilename
| ) |  |
| inline protected

void TestEncodedInputStream | ( | const char * | filename | ) |
| inline protected

void TestEncodedOutputStream | ( | const char * | expectedFilename,
|  | bool | putBOM
| ) |  |
| inline protected

## Member Data Documentation

const char* filename_
| protected

char* json_
| protected

size_t length_
| protected

The documentation for this class was generated from the following file:

- persistence/rapidjson/test/unittest/encodedstreamtest.cpp